io.etcd.jetcd.watch

## Class WatchResponse

- java.lang.Object
- - io.etcd.jetcd.AbstractResponse<WatchResponse>
  - - io.etcd.jetcd.watch.WatchResponse

All Implemented Interfaces:
  Response

    public class WatchResponse
    extends AbstractResponse<WatchResponse>

### Nested Class Summary

### Nested classes/interfaces inherited from interface io.etcd.jetcd.Response

`Response.Header`

### Constructor Summary

Constructors
Constructor and Description
`WatchResponse(WatchResponse response)`
`WatchResponse(WatchResponse response, ByteSequence namespace)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<WatchEvent>` `getEvents()`

### Methods inherited from class io.etcd.jetcd.AbstractResponse

`getHeader, getResponse, getResponseHeader, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### WatchResponse

    public WatchResponse(WatchResponse response,
                         ByteSequence namespace)

#### WatchResponse

    public WatchResponse(WatchResponse response)

### Method Detail

#### getEvents

    public List<WatchEvent> getEvents()